HyperTrackDocs
Nearby

Get all nearby drivers

Use this API to get all the nearby drivers from order destination. A maximum of 1000 drivers are returned in order of their haversine distance from order destination around search radius of 100 miles (160934 meters). Note: if the search_radius filter is not specified it uses the maximum allowed search radius.

POST
/nearby/v3

Use this API to get all the nearby drivers from order destination. A maximum of 1000 drivers are returned in order of their haversine distance from order destination around search radius of 100 miles (160934 meters). Note: if the search_radius filter is not specified it uses the maximum allowed search radius.

Authorization

AuthorizationBasic <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/nearby/v3" \  -H "Content-Type: application/json" \  -d '{    "order": {      "destination": {        "geometry": {          "coordinates": [            -122.3599933082254,            37.753651385106075          ],          "type": "Point"        }      }    },    "search_type": "region"  }'

{  "drivers": [    {      "device": {        "device_id": "00112233-2F48-4DA1-ACEA-8A8D530670CF",        "info": {          "timezone": "America/Los Angeles",          "os_name": "iOS",          "device_brand": "Apple",          "sdk_version": "func test app",          "device_model": "IPhone X",          "network_operator": "T-Mobile",          "name": "Func Test Device",          "os_version": "12.1.4",          "os_hardware_identifier": "719bef31-e487-46e0-86f1-5f32589fd9eb"        },        "profile": {          "gig_type": "ridesharing"        },        "status": {          "value": "active",          "data": {            "activity": "drive",            "recorded_at": "2022-06-30T13:35:14.806Z"          }        }      },      "location": {        "coordinates": [          -122.3999933082254,          37.793651385106074        ],        "type": "Point"      },      "duration": null,      "distance": 9303,      "ongoing_trip": null,      "error": null    }  ],  "summary": {    "total_drivers": 1,    "processed_drivers": 1,    "unprocessed_drivers": 0,    "outside_region_drivers": 0,    "no_route_drivers": 0  }}

{  "detail": {},  "message": "string"}
{  "detail": {    "<location>": {      "<field_name>": [        "string"      ]    }  },  "message": "string"}